Last Comment Bug 778617 - (MSE) Tracking bug for Media Source Extensions API implementation
(MSE)
: Tracking bug for Media Source Extensions API implementation
Status: NEW
[shumway] [blink-parity] [ie11-parity...
: dev-doc-needed, meta
Product: Core
Classification: Components
Component: Audio/Video: Playback (show other bugs)
: Trunk
: All All
: P1 normal with 166 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
http://dvcs.w3.org/hg/html-media/raw-...
: 1026106 1134076 (view as bug list)
Depends on: 886194 907468 932516 943186 1038527 1057233 1066467 1114817 1134101 1146756 1169102 1169559 1188676 1192104 1197438 1209386 1227017 1229631 1232252 1247189 1261273 1270699 1274190 1277733 1280613 1286115 1293843 1302573 1302656 77992 744896 792675 vp9 855130 881512 881514 886196 889201 889202 889205 889712 895754 896866 896884 931388 939612 939613 944088 946027 950120 960988 962353 974362 975782 976037 978613 979096 979099 979100 982984 989888 996368 1000180 1000608 1002019 1002290 1002294 1002297 1002320 1002987 1002994 1008542 1013032 1022075 1022479 1024858 1025768 1025770 1027875 1028144 1028642 1028742 1028748 1030516 1030527 1030539 1031532 1035622 1037305 DASH-IF 1040552 1040563 1041374 1041387 1041396 1041405 1041919 1043696 1043766 1044498 1044505 1044762 1049317 1049318 1049321 1049323 1049326 1049327 1050031 1050083 1050099 1050580 1050652 1053124 1053657 1053658 1053674 1053682 1054144 1054153 1054970 1055899 1055904 1056440 1056452 1056534 1057181 1058380 1058418 1058422 1059523 1059569 1059625 1061007 1061079 1061131 1062017 1062018 1062020 1062023 1062055 1062101 1062657 1062661 1062664 1062666 1062669 1062670 1062993 1063323 1063365 1064113 1064160 1064570 1064699 1064705 1065207 1065215 1065218 1065219 1065221 1065235 1065250 1065855 1068483 1069671 1074614 1075980 1077046 1081766 1081817 1081911 1082119 1082155 1082974 youtube-mse 1084456 1086525 1087043 1087165 1088481 ship-MSE 1089048 1091325 1091407 1091774 1092025 1092094 1092096 1092611 1092915 1092932 1093020 1094271 1094310 1094501 1095778 1096019 1096089 1096157 1096752 1096755 1096790 1097252 1097436 1097441 1097723 1098022 1098126 1098637 1098674 1098678 1098680 1098990 1100000 1100063 1100172 1100176 1100260 1100913 1101062 1101247 1102612 1102642 1102647 1102666 1104426 1105066 1105132 1105293 1105553 1105760 1105771 1107611 1107737 1107889 1108059 1108086 1108846 1108847 1108917 1109292 1109384 1109431 1109437 1109987 1110534 1110595 1110601 1110608 1111311 1111328 1111387 1111413 1111966 1112331 1112424 1112444 1112445 1112446 1112761 1112822 1113776 1113924 1114495 1114802 1114840 1114844 1114847 1114849 1114885 1114976 1115096 1115190 1115835 1116043 1116056 1116284 1116353 1116382 1116384 1116507 1116626 1117881 1117903 1117991 1118123 1118126 1118370 1118528 1118533 1118589 1118597 1119033 1119119 1119208 1119456 1119463 1119535 1119691 1119757 1119947 1120014 1120017 1120023 1120079 1120084 1120086 1120128 1120241 1120266 1120282 1120319 1120453 1120701 1121135 1121288 1121342 1121661 1121668 1121692 1121750 1121757 1121774 1122149 1122250 1122358 1122802 1122803 1122873 1123198 1123202 1123203 1123492 1123498 1123507 1123535 1123923 1124109 1124316 1124487 1124874 1124952 1125469 1125581 1125621 1125776 1125911 1125915 1125917 1125936 1126052 1126359 1126465 1127111 1127122 1127145 1127173 1127203 1127448 1127554 1127775 1127920 1127925 1128013 1128069 1128115 1128170 1128171 1128179 1128295 1128332 1128357 1128380 1128381 1128397 1128410 1128522 1128649 1128742 1128811 1129039 1129224 1129298 1129732 1129778 1129877 1130053 1130237 1130239 1130253 1130311 1130826 1130839 1130913 1130948 1131387 1131426 1131433 1131482 1131638 1131919 1132034 1132321 1132342 1132757 1132796 1132825 1132851 1133305 1133478 1133572 1133625 1133633 1133726 1133862 1133988 1134064 1134387 1134398 1134888 1135062 1135078 1135227 1135295 1135544 1135558 1135935 1136138 1136360 1136484 1136533 1136576 1137006 1137027 1137118 1137511 1137574 1137576 1138137 1138253 1138260 1138294 1138786 1138790 1138967 1138992 1139271 1139503 1139522 1139748 1140075 1140688 1140690 1140729 1140934 1140947 1140974 1141241 1141333 1141349 1141914 1142433 1142914 1142992 1143514 1143516 1143586 1143650 1143971 CVE-2015-4480 1144172 1144199 1144257 1144509 1144617 1145037 1145038 1145382 1145513 1145517 1145642 1145765 1145815 1145822 1146201 1146362 1146685 1147730 1147744 1148103 1148286 1148377 1149343 1150305 BLACK-YT 1151375 1151638 1151676 1151713 1151721 1152312 1152574 1152587 1152630 1153110 1153123 1153469 1153685 1154536 1154753 1154896 1155608 1156135 1157087 1157101 1157203 1158089 1159366 1160321 1161076 1163076 1163227 1163454 1163485 1163486 1165145 1165183 1165772 1165775 1165808 1166401 1167863 1169212 1171244 1171311 1171314 1171760 1171778 1173179 1173792 1175633 1177147 1181651 1182418 1183196 1183977 1185179 mse-everywhere 1185621 1185625 1185814 1185827 1185828 1185886 1186136 1186149 1186162 1186417 1186677 1187080 1187136 1187143 1188210 1188220 1188238 1188758 1188804 1189204 1189589 1189776 1189899 1189987 1190530 1191142 1191202 1191366 1191712 1191889 1192097 1192791 1193123 1193142 1194014 1194015 1194160 1194188 1194197 1194518 1194607 1194624 1194708 1195073 1197083 1197086 1197103 1199878 1199879 1199904 1199911 1200834 1202578 1202580 1202585 1202590 1205179 1205470 1205911 1206567 1207478 1207946 1208035 1208038 1208054 1208917 1209834 1209850 1211328 1211652 1214943 1215370 1220033 1221016 1221954 1229339 1229657 1229936 1229987 1230527 1240201 1246521 1247138 1247849 1258410 1258562 1259274 1262396 1264622 1266938 1269177 1269178 1269249 1269325 1270323 1272916 1272964 1274933 1276184 1277508 1277729 1280023 1286722 1286723 1286796 1286810 1287021 1287244 1292157 1293159 1293576 1293613 1293646 1293927 1297036 1297037 1297580 1298594 1298606 1298617 1300296 1301307 1302465 1302632
Blocks: html5test m3u8video MSE-FxOS 1031121 shumway-1.0 1071563 1083089 1124024
  Show dependency treegraph
 
Reported: 2012-07-29 20:39 PDT by Matthew Gregan [:kinetik]
Modified: 2016-09-14 01:33 PDT (History)
186 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+
36+


Attachments
WebIDL/DOM stubs - patch v0 (16.18 KB, patch)
2012-07-29 20:41 PDT, Matthew Gregan [:kinetik]
no flags Details | Diff | Splinter Review

Description Matthew Gregan [:kinetik] 2012-07-29 20:39:29 PDT
This proposal extends HTMLMediaElement to allow JavaScript to generate media streams for playback. Allowing JavaScript to generate streams facilitates a variety of use cases like adaptive streaming and time shifting live streams.
Comment 1 Matthew Gregan [:kinetik] 2012-07-29 20:41:26 PDT
Created attachment 647050 [details] [diff] [review]
WebIDL/DOM stubs - patch v0

I plan to work on this in the near future, but I've got a couple of things to finish first.  In the mean time, I stubbed out the DOM side of this to give myself an excuse to play with the new WebIDL bindings.
Comment 2 David Dahl :ddahl 2012-07-29 21:33:59 PDT
is there a bug filed for handling mediaStream decoding/decryption?
Comment 3 Ralph Giles (:rillian) needinfo me 2012-07-29 22:36:22 PDT
(In reply to David Dahl :ddahl from comment #2)
> is there a bug filed for handling mediaStream decoding/decryption?

You mean like the webm encryption stuff? Not that I'm aware of. Of course, the MediaSource API makes it possible to implement many scrambling and encryption methods in javascript.
Comment 4 Matthew Gregan [:kinetik] 2012-07-29 22:43:15 PDT
And if you're referring to the Encrypted Media Extensions (http://dvcs.w3.org/hg/html-media/raw-file/default/encrypted-media/encrypted-media.html), there's no bug that I'm aware of, and I don't think there is a plan to implement it at this stage.
Comment 5 whadar 2012-09-06 10:34:14 PDT
Any progress? Is there any estimation on when this API will be implemented?
Comment 6 Feross Aboukhadijeh 2013-02-15 03:41:29 PST
(In reply to Matthew Gregan [:kinetik] from comment #1)
> I plan to work on this in the near future

Matthew - are you still planning to work on this? If not, can this be reassigned? With WebRTC support around the corner, I think the MediaSource API will allow the creation of some pretty amazing applications.

Please let me know the current status of this bug. Thanks!
Comment 7 Matthew Gregan [:kinetik] 2013-02-15 13:55:24 PST
Yes, I picked it up again recently.  There are a first set of patches coming shortly.
Comment 8 Feross Aboukhadijeh 2013-02-16 16:32:04 PST
Excellent!
Comment 9 guy paskar 2013-03-12 03:21:26 PDT
Anything new? when should we expect first patch?
Comment 10 Feross Aboukhadijeh 2013-03-23 17:59:46 PDT
Hey Matthew, what's the latest on the Media Source Extensions API implementation? You mentioned that a first set of patches would be out around 1 month ago. Any progress?
Comment 12 C.J. Ku[:cjku](UTC+8) 2013-05-22 09:30:37 PDT
List things that we may need to do after Bug 855130 landing.

1. Relation between MediaSource & SourceBuffer should be 1-to-N
2. MediaSource::addSourceBuffer: param(type) MIME type checking.
3. Depend on Bug 744896: to enable/ disable audio track/ to select a video.
4. HTMLMediaElement behavior change 
https://dvcs.w3.org/hg/html-media/raw-file/tip/media-source/media-source.html#htmlmediaelement-extensions
Comment 13 Matthew Gregan [:kinetik] 2013-06-03 22:05:54 PDT
Items 2 and 4 are partially done in the latest patch attached to bug 855130.  I'll file bugs for the others (and a number of other things) that block this bug over the next day or so.
Comment 14 me 2013-10-23 04:58:06 PDT
Hi, 

How is this going? Are you working on it or waiting for some of the dependencies to clear? Can you give a hint of when it will be milestone?

Thank you

Dennis
Comment 15 Matthew Gregan [:kinetik] 2013-10-23 12:12:28 PDT
It's being worked on, most of the action is in the dependent bugs.  The proposed schedule is here: https://wiki.mozilla.org/Platform/MediaSourceExtensions
Comment 16 vulcain 2013-12-12 08:58:44 PST
This API is needed if you want to see youtube video on 1080p:
http://googlesystem.blogspot.fr/2013/10/youtube-drops-support-for-1080p-streams.html

" YouTube removed the non-DASH streams for 480p and 1080p. This means that you'll no longer be able to watch 1080p videos in YouTube's HTML5 player if you use Firefox or Safari. "
Comment 17 anvar.sosnitski 2014-03-31 04:28:17 PDT
The proposed schedule is from the last year. Is the schedule still actual or not? What is the timeline when Firefox would be able to play videos using DASH reference implementation at dashif.org?
Comment 18 cajbir (:cajbir) 2014-03-31 05:21:25 PDT
(In reply to anvar.sosnitski from comment #17)
> The proposed schedule is from the last year. Is the schedule still actual or
> not? What is the timeline when Firefox would be able to play videos using
> DASH reference implementation at dashif.org?

Some DASH implementations are working in nightly builds - those that use WebM/VP9. See for example:

http://cd.pn/mse/webm/dash-player.html

Support for YouTube's DASH player is ongoing. Nightly build plus bug 989888 allows playback of VP9 Dash streams on YouTube. More work on that is needed for seeking and stream switching however.

I have not yet investigated dashif.org support due to it requiring (AFAIK) H.264 support and we've had muxer issues to deal with in that regard. I would hop ewe can get on to testing and getting it working in the near future.
Comment 20 Will Law 2014-05-02 15:51:39 PDT
(In reply to cajbir (:cajbir) from comment #18)
> (In reply to anvar.sosnitski from comment #17)
> > The proposed schedule is from the last year. Is the schedule still actual or
> > not? What is the timeline when Firefox would be able to play videos using
> > DASH reference implementation at dashif.org?
> 
> Some DASH implementations are working in nightly builds - those that use
> WebM/VP9. See for example:
> 
> http://cd.pn/mse/webm/dash-player.html
> 
> Support for YouTube's DASH player is ongoing. Nightly build plus bug 989888
> allows playback of VP9 Dash streams on YouTube. More work on that is needed
> for seeking and stream switching however.
> 
> I have not yet investigated dashif.org support due to it requiring (AFAIK)
> H.264 support and we've had muxer issues to deal with in that regard. I
> would hop ewe can get on to testing and getting it working in the near
> future.

@cajbir - I help manage the dash.js project https://github.com/Dash-Industry-Forum/dash.js which is the reference client for the DASH Industry Forum and also the preferred MSE implementation for many members including Microsoft and Akamai. We have good implementations under Chrome and IE11 and would love to add Firefox to that mix, not just for our companies but for the MSE ecosystem in general. If there is anything we can do from our end to help accelerate testing and/or code changes for H.264 ISOBMFF support please don't hesitate to reach out. 

Cheers

Will Law
Comment 21 Aymeric Vitte 2014-05-26 00:53:58 PDT
Is there a first FF stable release where MSE can be used or is it still in Nightly?
Comment 22 Nazar Mokrynskyi 2014-05-26 01:41:52 PDT
Dash on youtube doesn't work even in Nightly 32. I think we have to wait for all issues on which this one depends until get it working in nightly. It is too early to talk about stable.
Comment 23 avada 2014-05-26 02:12:37 PDT
(In reply to Aymeric Vitte from comment #21)
> Is there a first FF stable release where MSE can be used or is it still in
> Nightly?

(In reply to Nazar Mokrynskyi from comment #22)
> Dash on youtube doesn't work even in Nightly 32. I think we have to wait for
> all issues on which this one depends until get it working in nightly. It is
> too early to talk about stable.

It works with VP9/WEBM video streams on youtube. But videos that have them are by far the minority. Also they have around half the bitrate and are more resource demanding to decode.
For whatever (irrational) reason h.264 - which is overwhelmingly the dominant format - is ignored until everything else is done.
Comment 24 cajbir (:cajbir) 2014-05-26 14:10:38 PDT
(In reply to avada from comment #23)
> For whatever (irrational) reason h.264 - which is overwhelmingly the
> dominant format - is ignored until everything else is done.

This is an inappropriate comment. Please don't pass judgement (using words like irrational) on why things are done, assume good intent from the people doing the work. H.264 support relies on other work which is being done in parallel.
Comment 25 Aymeric Vitte 2014-05-27 00:22:03 PDT
Do you have any idea when this could be available?
Comment 26 Stefan Neufeind 2014-07-14 11:58:44 PDT
Afaik h264 in general meanwhile works. Does that mean support for dash/h264 as well (or maybe soon down the road)?
Comment 27 Matthew Gregan [:kinetik] 2014-07-14 15:27:14 PDT
Yes, see bug 1027875.
Comment 28 Leman Bennett [Omega] 2014-07-16 19:24:07 PDT
As of today, Google has locked Nightly users out of being able to switch back an forth between HTML5 and Flash. 

HTML5 is now potentially the permanent default on YouTube for Fx33+. This should probably become a higher priority if not already YouTube's policy sticks.
Comment 29 Bill Walker [:bwalker] [@wfwalker] 2014-08-19 15:07:45 PDT
Sandip, how can we nominate this as a b2g 2.2 feature?
Comment 30 info 2014-09-01 07:58:49 PDT
Now that there is support for H264 in FirefoxNightly when I'm trying to use H264 with MSE I'm getting a 'NotSupportedError: Operation is not supported' error when I'm calling var sourceBuffer = ms.addSourceBuffer('video/mp4;codecs="avc1.42c00d"');
Comment 31 bugzilla 2014-09-01 08:18:51 PDT
Of course, have you ever look to this site (youtube.com/html5)?
MSE with H264 is not implemented enough today. Just stay tuned, when this bug are resolved, it should work:)
Comment 32 Jet Villegas (:jet) 2014-09-05 07:39:46 PDT
> feature-b2g: --- → 2.2?

We are currently reviewing the bug backlog for this feature, and the resulting schedule changes. Please don't set this flag until after that review. Thanks!
Comment 33 John 2014-10-11 03:45:01 PDT
(In reply to info from comment #30)
> Now that there is support for H264 in FirefoxNightly when I'm trying to use
> H264 with MSE I'm getting a 'NotSupportedError: Operation is not supported'
> error when I'm calling var sourceBuffer =
> ms.addSourceBuffer('video/mp4;codecs="avc1.42c00d"');

I have the same error. 
Does Anyone know how to fix it?
Comment 34 John 2014-10-11 05:28:15 PDT
(In reply to John from comment #33)
> (In reply to info from comment #30)
> > Now that there is support for H264 in FirefoxNightly when I'm trying to use
> > H264 with MSE I'm getting a 'NotSupportedError: Operation is not supported'
> > error when I'm calling var sourceBuffer =
> > ms.addSourceBuffer('video/mp4;codecs="avc1.42c00d"');
> 
> I have the same error. 
> Does Anyone know how to fix it?

Oh, don't support yet, video/webm is OK.
Comment 35 Jean-Yves Avenard [:jya] 2014-10-12 17:09:20 PDT
(In reply to John from comment #33)
> (In reply to info from comment #30)
> > Now that there is support for H264 in FirefoxNightly when I'm trying to use
> > H264 with MSE I'm getting a 'NotSupportedError: Operation is not supported'
> > error when I'm calling var sourceBuffer =
> > ms.addSourceBuffer('video/mp4;codecs="avc1.42c00d"');
> 
> I have the same error. 
> Does Anyone know how to fix it?

set media.mediasource.ignore_codecs to true
Comment 36 Chris 2014-11-01 04:02:28 PDT Comment hidden (spam)
Comment 37 Daryl Wise 2014-11-19 22:43:35 PST Comment hidden (spam)
Comment 38 Sylvestre Ledru [:sylvestre] 2014-12-15 09:15:30 PST
Release Note Request (optional, but appreciated)
[Why is this notable]: A new area for videos
[Suggested wording]: Media Source Extensions API implemented
[Links (documentation, blog post, etc)]: Any link?

AFAIK, this will ship with 36.
Comment 39 Ralph Giles (:rillian) needinfo me 2014-12-15 10:11:14 PST
Specification is https://w3c.github.io/media-source/
Comment 40 Kai-Chih Hu [:khu] 2014-12-18 01:13:47 PST
It doesn't have to be in 2.2. But, need to continue working on it. 
Bobby, please follow up this topic.
Comment 41 Sylvestre Ledru [:sylvestre] 2014-12-18 05:34:45 PST
(In reply to Ralph Giles (:rillian) from comment #39)
> Specification is https://w3c.github.io/media-source/
Thanks but I was hoping for something more general and less technical.
Comment 42 Bobby Chien [:bchien] 2014-12-18 18:26:50 PST
continue work and mark as tracking-b2g:+ for future release.
Comment 43 Karl Tomlinson (:karlt) 2014-12-28 16:26:33 PST
(In reply to Sylvestre Ledru [:sylvestre] from comment #38)
> Release Note Request (optional, but appreciated)
> [Why is this notable]: A new area for videos
> [Suggested wording]: Media Source Extensions API implemented
> [Links (documentation, blog post, etc)]: Any link?
> 
> AFAIK, this will ship with 36.

See bug 1112761.  API use in 36 will be limited.
Comment 44 Sylvestre Ledru [:sylvestre] 2015-01-14 11:26:02 PST
Added to the release notes with "Media Source Extensions API implemented (Youtube only)" as wording.
Let me know if someone has an issue with this.
Comment 45 Sylvestre Ledru [:sylvestre] 2015-01-14 12:15:56 PST
Update to "Implemented a subset of the Media Source Extensions (MSE) API to allow native HTML5 playback on YouTube. Full support is on the way". Thanks to Bobby for the new version!
Comment 46 Reinhard 2015-02-09 09:22:20 PST
I already took a look in your brand-new MSE implementation using our MPEG-DASH player bitdash - and was happy to see it playing! Streaming different videos and playing around with our API worked fine.

We have several test streams online, which might also be interesting for your work, located at: http://www.dash-player.com/demo/streaming-server-and-encoder-support/ (tested with Chrome, IE11 and Safari 8). You can select different videos from different vendors. Most of them are working great, some, like 'Sintel' (first two entries in the list) are stalling the video after a few seconds, whereas audio is still playing. As there are no error messages showing up, I can only guess, but I think the problem is introduced by representation changes (quality adaptation). If I disable the automatic quality switching (select a dedicated representation) everything works fine. Changing the representation manually stalls the video again.

We have also a 24/7 live stream available for testing (http://www.dash-player.com/demo/live-streaming/). I experience the same behaviour - playback of a few seconds, then video stops, whereas audio is still playing.

However, we are optimistic that everything will be fixed till the official release and we are happy to help, if needed.
Comment 47 Reinhard 2015-02-09 09:26:04 PST
Just for info, we also have DRM showcases available, for ClearKey (http://www.dash-player.com/demo/drm-and-protection/), PlayReady (http://www.dash-player.com/demo/playready-demo/) and Widevine Modular (http://www.dash-player.com/demo/widevine-modular/).
Comment 48 Jean-Yves Avenard [:jya] 2015-02-09 16:25:25 PST
(In reply to Reinhard from comment #46)
> I already took a look in your brand-new MSE implementation using our
> MPEG-DASH player bitdash - and was happy to see it playing! Streaming
> different videos and playing around with our API worked fine.
> 
> We have several test streams online, which might also be interesting for
> your work, located at:
> http://www.dash-player.com/demo/streaming-server-and-encoder-support/
> (tested with Chrome, IE11 and Safari 8). You can select different videos
> from different vendors. Most of them are working great, some, like 'Sintel'
> (first two entries in the list) are stalling the video after a few seconds,
> whereas audio is still playing. As there are no error messages showing up, I
> can only guess, but I think the problem is introduced by representation
> changes (quality adaptation). If I disable the automatic quality switching
> (select a dedicated representation) everything works fine. Changing the
> representation manually stalls the video again.

the fragmented MP4 aren't per spec. They have start time of -0.021333. Specs require that they start at 0. We massage invalid files that are close to 0 but not 0, but only if start time is positive.
about:media shows that we have video data from [28,30] and then only from [564,660] ; it stalls at 30s like it should.

Can you please open a bug for the video that doesn't play?
Comment 50 Matthias Versen [:Matti] 2015-02-11 10:21:56 PST
*** Bug 1026106 has been marked as a duplicate of this bug. ***
Comment 51 [:Aleksej] 2015-02-22 13:30:08 PST
*** Bug 1134076 has been marked as a duplicate of this bug. ***
Comment 52 Reinhard 2015-02-26 01:52:26 PST
Thank you for your effort about our reported issues (Bug 1131487). We tried with other videos, for instance 1080p60 (http://www.dash-player.com/demo/hfr/) - which worked fine. We also tested 4k sequences, like http://www.dash-player.com/demo/4k/.

The playback works fine, until the switch to the first 4k representation (3840x1608) - the video stalls. In the following you can find the HTMLMediaElement debug data:

http://www.dash-player.com/demo/4k/
	mediasource:http://www.dash-player.com/4885f9ac-c61f-6749-91db-3c585a945fe9
	currentTime: 34.446812
		SourceBuffer 0
			start=18.75 end=34.5
			start=63.041666 end=68.041666
			start=68.083333 end=115.666666
			start=115.708333 end=144.75
		SourceBuffer 1
			start=0 end=79.552
	Internal Data:
	Dumping data for reader 125f9ec00:
		Dumping Audio Track Decoders: - mLastAudioTime: 35.498666
			Reader 0: 126566800 ranges=[(0.000000, 79.552000)] active=true size=1637674
		Dumping Video Track Decoders - mLastVideoTime: 34.500000
			Reader 7: 125f97000 ranges=[(119.833333, 144.750000)] active=false size=3508275
			Reader 6: 125ea9000 ranges=[(115.708333, 119.833333)] active=false size=1307443
			Reader 5: 125ea9400 ranges=[(110.708333, 115.666666)] active=false size=1464886
			Reader 4: 124935400 ranges=[(79.625000, 110.750000)] active=false size=11376191
			Reader 3: 11fe0e000 ranges=[(72.500000, 79.625000)] active=false size=1651288
			Reader 2: 1185d7400 ranges=[(68.083333, 72.500000)] active=false size=14582884
			Reader 1: 118905c00 ranges=[(63.041666, 68.041666)] active=false size=8046674
			Reader 0: 12afce000 ranges=[(18.750000, 34.500000)] active=true size=9218236
	
As it can be seen, the video buffer ends at about 34 seconds (thats also where the playback stops) and there is a gap till about 63 seconds. Should we open a new bug for this or append it to Bug 1131487?

We changed our handling of init and media segments, as a switch from a lower representation to 4k results in a stall on Chrome. Therefore now the init segment of the highest representation is pushed to the MSE first.

The (4k/8k, 1080p60) fmp4 content for the MSE was generated by bitcodin (portal.bitcodin.com). If you want you can also use it to generate test content - please note that it is currently in beta status. We are happy to increase your credits if you need more for stabilising the MSE ;-)
Comment 53 Jean-Yves Avenard [:jya] 2015-02-26 01:59:38 PST
Please open a new bug. This bug is a container to track the progress of MSE ; it's not to report MSE bug per-say.
thanks.. we can take it from there.

At a guess, you either haven't appended data from 34s onward, or the data got evicted during appendBuffer and as you don't appear to check that and never resubmit as required: it stalls.
Comment 54 Reinhard 2015-02-26 02:12:51 PST
Ok, the bug is reported with number 1137118 (https://bugzilla.mozilla.org/show_bug.cgi?id=1137118).
Comment 55 guy paskar 2015-03-03 23:37:35 PST
Hi all,

I think it's kind of unfair to have a flag youtubeonly for a firefox for a feature. 

If it's good enough for youtube to play with and take responsibility to take care of it in a way that will be good for their end users then it's also should be available for other websites.

What's next - facebookonly flag and yahooonly flag? 

If the implementation is not complete then I can understand that it is under a flag, but it cannot be available only for a specific domain and for all the others it will be restricted... if it is good enough for youtube to work with , it's also good enough for others.
Comment 56 Chris Peterson [:cpeterson] 2015-03-04 00:47:56 PST
hi Guy, the "youtubeonly" flag is temporary while we are testing MSE. Bug 1108086 is an example of an MSE site (Steam.com's Live Broadcasts) that Firefox doesn't support yet and would break without the temporary "youtubeonly" flag.
Comment 57 guy paskar 2015-03-04 00:56:49 PST
Well, If a website is doing something that is not yet fully supported then it will have to not do it.

But if a different website simply wants to implement the exact same solution that youtube implemented using firefox mse - it is not fail / ok to enable it only to youtube or any other specific domain. Why should youtube be able to test/deploy their but I can't?
Comment 58 John Hesling [:John99] (NeedInfo me) 2015-03-04 01:01:12 PST
Hi guy,
It is probably better to discuss or clarify policy in one of the fora such as https://www.mozilla.org/en-US/about/forums/#firefox-dev

Does bug 1112761 comment 3 & bug1112761 comment 7 help, if you wish to experiment.
> media.mediasource.enabled: false means no, true means check the other pref.
> media.mediasource.youtubeonly: 
>   false or unset means enabled everywhere, set to true means only https://*.youtube.com.
Comment 59 guy paskar 2015-03-04 01:20:12 PST
John,

To have a media.mediasource.enabled I totally understand and agree it should be there.
If mediasource is not ready for stable then this pref should be false.

But to allow only youtube to test it large scale on their platform/domain without giving the opportunity for other websites is just wrong.

Thanks for the tip , i'll try to discuss in the forums.
Comment 60 Jean-Yves Avenard [:jya] 2015-03-04 01:59:10 PST
Disabling the YouTube restriction is just a matter of setting media.mediasource.youtubeonly property to false.
Comment 61 guy paskar 2015-03-04 02:00:44 PST
I understand that, But I can't do it for my users right...
Comment 62 guy paskar 2015-03-04 02:47:11 PST
(In reply to guy paskar from comment #61)
> I understand that, But I can't do it for my users right...

Just as an example , this is not my website and I don't have anything to do with it but bitdash has made a great html5 dash player which works great in ff  - http://www.bitmovin.net/bitdash-mpeg-dash-player/

Why can youtube use media source in ff in their production environment but bitdash (or me using their player) can't?
Comment 63 Emanuel Hoogeveen [:ehoogeveen] 2015-03-04 03:48:28 PST
It's just a safety measure until the MSE implementation is more stabilized. IIUC the plan is to have MSE on by default for all websites in Firefox 38 (though the Youtube support got pushed back from 36 to 37, so perhaps the timeline changed a bit).
Comment 64 Emanuel Hoogeveen [:ehoogeveen] 2015-03-04 03:50:13 PST
Ah, from bug 1138992 comment #3, it will probably be Firefox 39 or 40, but no decision has been made yet.
Comment 65 guy paskar 2015-03-04 04:05:19 PST
(In reply to Emanuel Hoogeveen [:ehoogeveen] from comment #63)
> It's just a safety measure until the MSE implementation is more stabilized.
> IIUC the plan is to have MSE on by default for all websites in Firefox 38
> (though the Youtube support got pushed back from 36 to 37, so perhaps the
> timeline changed a bit).

Just saying, if it's good enough for youtube domain - its good enough for other domains that can be responsible for the safety of their products.
Comment 66 Leman Bennett [Omega] 2015-04-03 17:45:17 PDT
YouTube has disabled MSE playback for Fx37 and 38b. So much for "YouTube only".
Comment 67 Lily Rose 2015-04-04 01:41:06 PDT
(In reply to Leman Bennett [Omega] from comment #66)
Youtube seems to have disabled HTML5 playback by default now. 
I'm forced to manually enable it on nightly and release channel now now. (Youtube.com/html5)
Comment 68 johneluther 2015-05-26 08:37:41 PDT
Can someone provide an update of where general MSE API support stands in FF 38 and plans for 39/40? Things got a bit confusing with youtubeonly, etc.
Comment 69 Sebastian Kippe 2015-05-30 03:32:30 PDT
+1 for johneluther's request. We desperately need this for adaptive streaming with HTML5 video in the browser, but I'm not quite sure what the status is and enabling the flag didn't work for any MSE-dependent player lib we tested.
Comment 70 Djfe 2015-06-11 15:54:21 PDT
I'm using Linux Fedora 21 and Firefox 38.0.5
I have issues with MSE+VP9
the youtube video doesn't start playing but it buffers in the background

further information:
https://bugzilla.mozilla.org/show_bug.cgi?id=1173179
Comment 71 inscription 2015-07-03 09:39:56 PDT
Any news relating to johneluther's and Sebastian Kippe's requests ? As far as I can see, MSE is not enabled by default on FF41 dev edition. Any update on the target release ?
Comment 72 Matthew Gregan [:kinetik] 2015-07-03 17:06:11 PDT
More a question for jya or kft.
Comment 73 Chris Peterson [:cpeterson] 2015-07-03 23:24:33 PDT
(In reply to Sebastian Kippe from comment #69)
> +1 for johneluther's request. We desperately need this for adaptive
> streaming with HTML5 video in the browser, but I'm not quite sure what the
> status is and enabling the flag didn't work for any MSE-dependent player lib
> we tested.

Firefox has a whitelist limiting MSE (to YouTube, Netflix, and Dailymotion) while we fix some compatibility bugs. The whitelist will likely be removed in Firefox 42, making MSE available to all websites. The whitelist is disabled in the Firefox Nightly and Aurora channels. If you find any MSE players that don't work in Firefox Nightly or Aurora, please file a bug! :)


(In reply to Djfe from comment #70)
> I'm using Linux Fedora 21 and Firefox 38.0.5
> I have issues with MSE+VP9
> the youtube video doesn't start playing but it buffers in the background
> 
> further information:
> https://bugzilla.mozilla.org/show_bug.cgi?id=1173179

Firefox does not yet support MSE for VP9, but we're working on it.
Comment 74 Tony Tripper 2015-08-27 17:50:21 PDT
(In reply to Chris Peterson [:cpeterson] from comment #73)
> (In reply to Sebastian Kippe from comment #69)
> > +1 for johneluther's request. We desperately need this for adaptive
> > streaming with HTML5 video in the browser, but I'm not quite sure what the
> > status is and enabling the flag didn't work for any MSE-dependent player lib
> > we tested.
> 
> Firefox has a whitelist limiting MSE (to YouTube, Netflix, and Dailymotion)
> while we fix some compatibility bugs. The whitelist will likely be removed
> in Firefox 42, making MSE available to all websites. The whitelist is
> disabled in the Firefox Nightly and Aurora channels. If you find any MSE
> players that don't work in Firefox Nightly or Aurora, please file a bug! :)
> 
> 
> (In reply to Djfe from comment #70)
> > I'm using Linux Fedora 21 and Firefox 38.0.5
> > I have issues with MSE+VP9
> > the youtube video doesn't start playing but it buffers in the background
> > 
> > further information:
> > https://bugzilla.mozilla.org/show_bug.cgi?id=1173179
> 
> Firefox does not yet support MSE for VP9, but we're working on it.

Hello Chris,

Can you help to point where is the source code that whitelisted Youtube, Netflix, and Dailymotion?

Thanks,

Tony
Comment 75 Jean-Yves Avenard [:jya] 2015-08-27 18:21:18 PDT
There is no whitelist anymore ; we won't be adding new sites to the whitelist
Comment 76 Feross Aboukhadijeh 2015-09-21 13:33:18 PDT
Is the plan still to remove the whitelist in Firefox 42?
Comment 77 Jean-Yves Avenard [:jya] 2015-09-23 03:36:17 PDT
the whitelist has already been removed in 42
Comment 78 Roque 2015-10-06 13:24:06 PDT
Does it apply to Linux too? Youtube doesn't play good in Linux, and Netflix doesn't work.
Comment 79 Roque 2015-10-06 13:28:32 PDT
I'm talking about the 41 stable version in Linux 64 bits.
Comment 80 Chris Peterson [:cpeterson] 2016-01-11 15:02:00 PST
Marking this MSE tracking bug as meta so it doesn't show up in our list of actionable P1 bugs.
Comment 81 Christian Stadler 2016-02-20 07:13:44 PST
Hi,

running the following snippet over the page I get lots of blocking bugs, that are invalid/wontfix/wfm and so on including 37 bugs, that are duplicates of others:

jQuery(function($) {
	var i = 1;
	$('#dependson_input_area').nextAll('a.bz_bug_link').each(function() {
		if ($(this).attr('title').match(/^RESOLVED(?! FIXED)/))
			console.log(i++ + ") " + $(this).text() + ": " + $(this).attr('title'));
	});
});

Shouldn't these be removed from blocking this bug here and the duplicates changed to the correct number?
Comment 82 Jean-Yves Avenard [:jya] 2016-02-20 07:44:33 PST
why that ?

they were blocking, and now are fixed.
This is a tracking bug.
There are very few blockers left now.

I personally prefer to keep the old blockers in, gives a good idea on the progress as well as allow to search for regression
Comment 83 Jesse Poland 2016-06-17 04:02:56 PDT Comment hidden (off-topic)

Note You need to log in before you can comment on or make changes to this bug.